ChangeSet 1.1276.1.21, 2003/08/27 10:50:29-07:00, bellucda@tiscali.it

[PATCH] Audit and minor cleanups in drivers/usb/*

Changes
- if usb_register fails report back its return code rather than -1


 drivers/usb/misc/rio500.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/misc/rio500.c b/drivers/usb/misc/rio500.c
--- a/drivers/usb/misc/rio500.c	Tue Sep  2 12:45:23 2003
+++ b/drivers/usb/misc/rio500.c	Tue Sep  2 12:45:23 2003
@@ -530,12 +530,15 @@
 
 static int __init usb_rio_init(void)
 {
-	if (usb_register(&rio_driver) < 0)
-		return -1;
+	int retval;
+	retval = usb_register(&rio_driver);
+	if (retval)
+		goto out;
 
 	info(DRIVER_VERSION ":" DRIVER_DESC);
 
-	return 0;
+out:
+	return retval;
 }
 
 
